Bug 19950 - xrdb not called, every app must read .Xdefaults
xrdb not called, every app must read .Xdefaults
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
Dale Lovelace
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-28 00:03 EDT by Rick Richardson
Modified: 2007-04-18 12:29 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 00:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rick Richardson 2000-10-28 00:03:55 EDT
I don't know if this is considered a bug or a feature.  In older versions
of RedHat using
fvwm2, $HOME/.Xdefaults was automatically read by "xrdb".

In newer versions of Redhat using Gnome, xrdb is no longer called to read
the .Xdefaults file into the X server.  The result of this is that each and
every
X application now reads the .Xdefaults file when the application starts. 
This
would seem to me to be a performance issue.

Consider this trace...

# Start up an X application, note that the application reads the .Xdefaults
file
$ strace xterm 2>&1 | grep Xdefaults
open("/home/rick/.Xdefaults", O_RDONLY) = 4
open("/home/rick/.Xdefaults-ipcroe.rkkda.com", O_RDONLY) = -1 ENOENT (No
such file or directory)

# OK, now manually read the .Xdefaults file into the X server resource
database...
$ xrdb -merge .Xdefaults

# Voila, the application no longer wants to read this file every time it
starts up
$ strace xterm 2>&1 | grep Xdef
open("/home/rick/.Xdefaults-ipcroe.rkkda.com", O_RDONLY) = -1 ENOENT (No
such file or directory)

So what is it?  Should xrdb be invoked automatically the way it used to
be?  Or is
it considered normal behavior now for every application to have to read
.Xdefaults?

-Rick
Comment 1 David Mason 2000-10-30 11:18:38 EST
re-assigning to X  - not a GNOME issue
Comment 2 Mike A. Harris 2001-10-04 07:42:26 EDT
Sorry for the delayed action on this one... bug was lost in bugzilla.
.Xdefaults is obsolete.  It has been replaced with .Xresources for quite
some time.  Rename your .Xdefaults file to .Xresources

For details: man xinit

Note You need to log in before you can comment on or make changes to this bug.